EphemeralTypeEmulate353 (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Enum EphemeralTypeEmulate353

- java.lang.Object
- - java.lang.Enum<EphemeralTypeEmulate353>
  - - org.apache.zookeeper.server.EphemeralTypeEmulate353

- All Implemented Interfaces:
    Serializable, Comparable<EphemeralTypeEmulate353>

      public enum EphemeralTypeEmulate353
      extends Enum<EphemeralTypeEmulate353>

  See https://issues.apache.org/jira/browse/ZOOKEEPER-2901 version 3.5.3 introduced bugs associated with how TTL nodes were implemented. version 3.5.4 fixes the problems but makes TTL nodes created in 3.5.3 invalid. EphemeralTypeEmulate353 is a copy of the old - bad - implementation that is provided as a workaround. `EphemeralType.TTL_3_5_3_EMULATION_PROPERTY` can be used to emulate support of the badly specified TTL nodes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTAINER` Container node
    `NORMAL` Standard, pre-3.5.x EPHEMERAL
    `TTL` TTL node
    `VOID` Not ephemeral

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `CONTAINER_EPHEMERAL_OWNER`
    `static long` | `MAX_TTL`
    `static long` | `TTL_MASK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EphemeralTypeEmulate353` | `get(long ephemeralOwner)`
    `static long` | `ttlToEphemeralOwner(long ttl)`
    `static EphemeralTypeEmulate353` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EphemeralTypeEmulate353[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VOID

          public static final EphemeralTypeEmulate353 VOID

      Not ephemeral

    - #### NORMAL

          public static final EphemeralTypeEmulate353 NORMAL

      Standard, pre-3.5.x EPHEMERAL

    - #### CONTAINER

          public static final EphemeralTypeEmulate353 CONTAINER

      Container node

    - #### TTL

          public static final EphemeralTypeEmulate353 TTL

      TTL node

  - ### Field Detail

    - #### CONTAINER_EPHEMERAL_OWNER

          public static final long CONTAINER_EPHEMERAL_OWNER

      See Also:
        Constant Field Values

    - #### MAX_TTL

          public static final long MAX_TTL

      See Also:
        Constant Field Values

    - #### TTL_MASK

          public static final long TTL_MASK

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static EphemeralTypeEmulate353[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EphemeralTypeEmulate353 c : EphemeralTypeEmulate353.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EphemeralTypeEmulate353 valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static EphemeralTypeEmulate353 get(long ephemeralOwner)

    - #### ttlToEphemeralOwner

          public static long ttlToEphemeralOwner(long ttl)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.